%% Choose algorithmic parameters
%ms_vec = [75:25:800,850:50:2000,2100:100:6000];
%ranks = [1:20];
[meas,degs] = compute_measurements_LRRS_sparsitys(Example,sparsitys,ms,...
    rho_min,rho_max);
paras_experiment = struct;
paras_experiment.name = 'm';
paras_experiment.values = meas{i};%[1000,1300];%[1.5:0.25:10];

Example.prob.K1=sparsitys(i);
disp(['Run experiment with row-sparsity of ',num2str(Example.prob.K1)])
Example.optsfct.parallel = true;
Example.opts.K1    = floor(K1_misspecfication_fac*Example.prob.K1);
Example.opts.r     = floor(r_misspecfication_fac*Example.prob.r);
Example.opts.N0          = 200;
Example.opts.verbose     = 1;
% Example.opts.tol         = 1e-6;
Example.optsfct.verbose  = false;
Example.samplemodel = prepare_samplemodel_LRRS(Example.prob,Example.samplemodel);
option = [];
filename_note={'prob','K1'};
resultname = 'successrate';
resulttext = 'Success rate of rel. Frobenius error below threshold';
wrapper_experiment_LRRS(Example,...
    paras_experiment,instancesize,resultname,resulttext,option,filename_note);